# GetBlockByNum

Queries whether a specified block is confirmed，If the block can be obtained, the block is confirmed by the network; if the block cannot be obtained, the block is not confirmed by the network.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `num` - int32 - The block number

## **Returns**

| Field                                    | Type           | Description                                                                                                                                                                             |
| ---------------------------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| blockID                                  | string         | block hash                                                                                                                                                                              |
| block\_header.raw\_data.timestamp        | int64          | block timestamp                                                                                                                                                                         |
| block\_header.raw\_data.txTrieRoot       | string         | the root of transaction merkle tree                                                                                                                                                     |
| block\_header.raw\_data.parentHash       | string         | parent block hash                                                                                                                                                                       |
| block\_header.raw\_data.number           | int64          | block number                                                                                                                                                                            |
| block\_header.raw\_data.witness\_id      | int64          | super representative id                                                                                                                                                                 |
| block\_header.raw\_data.witness\_address | string         | super representative address                                                                                                                                                            |
| block\_header.raw\_data.version          | int32          | version                                                                                                                                                                                 |
| block\_header.raw\_data.accountStateRoot | string         | the root of account state tree                                                                                                                                                          |
| block\_header.witness\_signature         | string         | the signature of SR                                                                                                                                                                     |
| transactions                             | Transaction\[] | Transaction information in the block, please refer to [gettransactionbyid](/v1/tron/tron-solidity-api/transactions/gettransactionbyid.md) for the content contained in each transaction |

```json
// Result
{
	"blockID": "0000000004870706135c80388d9d9032eec89e9a54446fc70de829680b856138",
	"block_header": {
		"raw_data": {
			"number": 75958022,
			"txTrieRoot": "3bbcc016d586046ec7d2aab1e4f73c69b3d298fc80730e02e2c38fd39bdab367",
			"witness_address": "4104d7c791ace5750943fc8330b4a285b365dcbb42",
			"parentHash": "0000000004870705085da43b30b6f64cd0ea69873c4edb75f71899811ac8f32e",
			"version": 32,
			"timestamp": 1758534147000
		},
		"witness_signature": "9ad58c33c41643def9496f2937cea2905a04fdd7a7ec7edf3f46fa6edf1ebff41d6f0bc122c367db5a6b64e6bdbce6fb010a3c3d3bbacc0f19d1ada066b0c97900"
	}
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getblockbynum \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"num":75957003}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/blocks/getblockbynum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
